summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--tests/acl10
1 files changed, 4 insertions, 6 deletions
diff --git a/tests/acl b/tests/acl
index 2e232ee01..fdef618c4 100644
--- a/tests/acl
+++ b/tests/acl
@@ -1,18 +1,16 @@
-if ! getfacl --version 2> /dev/null 1>&2 || \
- ! setfacl --version 2> /dev/null 1>&2 ; then
+getfacl --version 2> /dev/null 1>&2 && setfacl --version 2> /dev/null 1>&2 || {
cat <<EOF 1>&2
**************************************
$0: This test requires getfacl and setfacl.
**************************************
EOF
(exit 77); exit 77
-fi
+}
-if ! grep '^bin:' /etc/passwd 2> /dev/null 1>&2 ; then
+id -u bin 2> /dev/null 1>&2 || {
cat <<EOF 1>&2
**************************************
$0: This test requires a local user named bin.
**************************************
EOF
- (exit 77); exit 77
-fi
+}